org.eclipse.viatra.cep.core.metamodels.automaton.impl

## Class AutomatonFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.viatra.cep.core.metamodels.automaton.impl.AutomatonFactoryImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, AutomatonFactory

      public class AutomatonFactoryImpl
      extends org.eclipse.emf.ecore.impl.EFactoryImpl
      implements AutomatonFactory

  An implementation of the model Factory.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `EDATE_FORMATS, ePackage`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.viatra.cep.core.metamodels.automaton.AutomatonFactory

      `eINSTANCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutomatonFactoryImpl()` Creates an instance of the factory.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `convertEventContextToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
    `Automaton` | `createAutomaton()`
    `EpsilonTransition` | `createEpsilonTransition()`
    `EventContext` | `createEventContextFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EventToken` | `createEventToken()`
    `FinalState` | `createFinalState()`
    `java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `Guard` | `createGuard()`
    `HoldsFor` | `createHoldsFor()`
    `InitState` | `createInitState()`
    `InternalModel` | `createInternalModel()`
    `NegativeTransition` | `createNegativeTransition()`
    `Parameter` | `createParameter()`
    `ParameterBinding` | `createParameterBinding()`
    `ParameterTable` | `createParameterTable()`
    `State` | `createState()`
    `TrapState` | `createTrapState()`
    `TypedTransition` | `createTypedTransition()`
    `Within` | `createWithin()`
    `AutomatonPackage` | `getAutomatonPackage()`
    `static AutomatonPackage` | `getPackage()` Deprecated.
    `static AutomatonFactory` | `init()` Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Constructor Detail

    - #### AutomatonFactoryImpl

          public AutomatonFactoryImpl()

      Creates an instance of the factory.
      Generated:

  - ### Method Detail

    - #### init

          public static AutomatonFactory init()

      Creates the default factory implementation.
      Generated:

    - #### create

          public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

      Specified by:
        `create` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### createFromString

          public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

      Specified by:
        `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### convertToString

          public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                  java.lang.Object instanceValue)

      Specified by:
        `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### createInternalModel

          public InternalModel createInternalModel()

      Specified by:
        `createInternalModel` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Internal Model'.
      Generated:

    - #### createAutomaton

          public Automaton createAutomaton()

      Specified by:
        `createAutomaton` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Automaton'.
      Generated:

    - #### createEventToken

          public EventToken createEventToken()

      Specified by:
        `createEventToken` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Event Token'.
      Generated:

    - #### createState

          public State createState()

      Specified by:
        `createState` in interface `AutomatonFactory`
      Returns:
        a new object of class 'State'.
      Generated:

    - #### createInitState

          public InitState createInitState()

      Specified by:
        `createInitState` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Init State'.
      Generated:

    - #### createFinalState

          public FinalState createFinalState()

      Specified by:
        `createFinalState` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Final State'.
      Generated:

    - #### createTrapState

          public TrapState createTrapState()

      Specified by:
        `createTrapState` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Trap State'.
      Generated:

    - #### createTypedTransition

          public TypedTransition createTypedTransition()

      Specified by:
        `createTypedTransition` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Typed Transition'.
      Generated:

    - #### createNegativeTransition

          public NegativeTransition createNegativeTransition()

      Specified by:
        `createNegativeTransition` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Negative Transition'.
      Generated:

    - #### createEpsilonTransition

          public EpsilonTransition createEpsilonTransition()

      Specified by:
        `createEpsilonTransition` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Epsilon Transition'.
      Generated:

    - #### createGuard

          public Guard createGuard()

      Specified by:
        `createGuard` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Guard'.
      Generated:

    - #### createWithin

          public Within createWithin()

      Specified by:
        `createWithin` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Within'.
      Generated:

    - #### createHoldsFor

          public HoldsFor createHoldsFor()

      Specified by:
        `createHoldsFor` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Holds For'.
      Generated:

    - #### createParameter

          public Parameter createParameter()

      Specified by:
        `createParameter` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Parameter'.
      Generated:

    - #### createParameterTable

          public ParameterTable createParameterTable()

      Specified by:
        `createParameterTable` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Parameter Table'.
      Generated:

    - #### createParameterBinding

          public ParameterBinding createParameterBinding()

      Specified by:
        `createParameterBinding` in interface `AutomatonFactory`
      Returns:
        a new object of class 'Parameter Binding'.
      Generated:

    - #### createEventContextFromString

          public EventContext createEventContextFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.String initialValue)

      Generated:

    - #### convertEventContextToString

          public java.lang.String convertEventContextToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                              java.lang.Object instanceValue)

      Generated:

    - #### getAutomatonPackage

          public AutomatonPackage getAutomatonPackage()

      Specified by:
        `getAutomatonPackage` in interface `AutomatonFactory`
      Returns:
        the package supported by this factory.
      Generated:

    - #### getPackage

          @Deprecated
          public static AutomatonPackage getPackage()

      Deprecated.
      Generated: